Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_ProxyConsumer_T Class Template Reference

@brief. More...

`#include <ProxyConsumer_T.h>`

Inheritance diagram for TAO_NS_ProxyConsumer_T:

[legend]
Collaboration diagram for TAO_NS_ProxyConsumer_T:

[legend]
List of all members.

## Public Methods
| TAO_NS_ProxyConsumer_T (void)
| Constuctor. More...
| ~TAO_NS_ProxyConsumer_T ()
| Destructor. More...
virtual void | admin_types_changed (const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed ACE_ENV_ARG_DECL)
| Notification of subscriptions set at the admin. More...
virtual CosNotifyChannelAdmin::SupplierAdmin_ptr | MyAdmin (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotification::EventTypeSeq * | obtain_subscription_types (CosNotifyChannelAdmin::ObtainInfoMode mode ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual void | offer_change (const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyComm::InvalidEventType )

## Detailed Description

### template<class SERVANT_TYPE>
class TAO_NS_ProxyConsumer_T< SERVANT_TYPE >

@brief.

## Constructor & Destructor Documentation

template<class SERVANT_TYPE>
TAO_NS_ProxyConsumer_T< SERVANT_TYPE >::TAO_NS_ProxyConsumer_T | ( | void |  | ) |

| Constuctor.

template<class SERVANT_TYPE>
TAO_NS_ProxyConsumer_T< SERVANT_TYPE >::~TAO_NS_ProxyConsumer_T | ( |  | ) |

| Destructor.

## Member Function Documentation

template<class SERVANT_TYPE>
void TAO_NS_ProxyConsumer_T< SERVANT_TYPE >::admin_types_changed | ( | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Notification of subscriptions set at the admin. Reimplemented from TAO_NS_Proxy.

template<class SERVANT_TYPE>
CosNotifyChannelAdmin::SupplierAdmin_ptr TAO_NS_ProxyConsumer_T< SERVANT_TYPE >::MyAdmin | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
CosNotification::EventTypeSeq * TAO_NS_ProxyConsumer_T< SERVANT_TYPE >::obtain_subscription_types | ( | CosNotifyChannelAdmin::ObtainInfoMode mode | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[virtual]`

template<class SERVANT_TYPE>
void TAO_NS_ProxyConsumer_T< SERVANT_TYPE >::offer_change | ( | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotifyComm::InvalidEventType )`[virtual]`

The documentation for this class was generated from the following files:

- ProxyConsumer_T.h
- ProxyConsumer_T.cpp